# Retrieve a single automation rule of a v3 status page. - Checkly Docs

> Get a single automation rule.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/retrieve-a-single-automation-rule-of-a-v3-status-page/

---

Retrieve a single automation rule of a v3 status page.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"name": " ",
"firstUpdate": " ",
"lastUpdate": " ",
"tags": [
" "
],
"id": " ",
"statusPageId": " ",
"components": [
{
"componentId": " ",
"targetImpact": "UNDER_MAINTENANCE",
"id": " "
}
],
"created_at": "2023-12-25",
"enabled": true,
"notifySubscribers": true,
"coolDownWindowMinutes": 5,
"incidentId": " ",
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Page Automation Rules

# Retrieve a single automation rule of a v3 status page.

Get a single automation rule.

GET

/

v3

/

status-pages

/

{statusPageId}

/

automation-rules

/

{ruleId}

Retrieve a single automation rule of a v3 status page.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}/automation-rules/{ruleId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"name": " ",
"firstUpdate": " ",
"lastUpdate": " ",
"tags": [
" "
],
"id": " ",
"statusPageId": " ",
"components": [
{
"componentId": " ",
"targetImpact": "UNDER_MAINTENANCE",
"id": " "
}
],
"created_at": "2023-12-25",
"enabled": true,
"notifySubscribers": true,
"coolDownWindowMinutes": 5,
"incidentId": " ",
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

statusPageId

string

required

​

ruleId

string

required

#### Response

Successful

​

name

string

required

Maximum string length: `255`

​

firstUpdate

string

required

Body of the status update that opens the incident.

​

lastUpdate

string

required

Body of the status update that resolves the incident.

​

tags

string[]

required

A failing check matches when it, or its group, carries ANY of these tags.

Minimum array length: `1`

​

id

string

required

​

statusPageId

string

required

​

components

object[]

required

Show child attributes

​

created_at

string<date>

required

​

enabled

boolean

default: true

A disabled rule never opens incidents.

​

notifySubscribers

boolean

default: true

​

coolDownWindowMinutes

integer

default: 5

Minimum minutes after an automated incident before this rule may open the next one. 0 disables it.

Required range: `0 ​

incidentId

string | null

​

updated_at

string<date> | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/retrieve-a-single-automation-rule-of-a-v3-status-page.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/retrieve-a-single-automation-rule-of-a-v3-status-page)

[Create an automation rule on a v3 status page. Previous](https://www.checklyhq.com/docs/api-reference/status-pages-v3/create-an-automation-rule-on-a-v3-status-page)[Update an automation rule of a v3 status page. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/update-an-automation-rule-of-a-v3-status-page)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
